name: Deploy to Railway
on: [push]
jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout Code
        uses: actions/checkout@v3

      - name: Install Railway CLI
        run: npm install -g @railway/cli

      - name: Deploy to honey-be
        run: |
          railway up --detach \
            --project ddbcce93-869f-4df5-bad3-cc039e399b71 \
            --service fe805e80-39a8-41a7-8e79-674b100a1c17 \
            --environment 60d98b00-3ea0-497d-ab08-58aa37001500
        env:
          RAILWAY_TOKEN: ${{ secrets.RAILWAY_TOKEN }}